#ifndef GAMEINTOPTION_H
#define GAMEINTOPTION_H

#include "gameoption.h"

namespace Ui {
	class GameIntOption;
}

class GameIntOption : public GameOption {
	Q_OBJECT

	public:
		GameIntOption(QString cmd, QString txt, QWidget *parent = 0);
		~GameIntOption();
		void setText(QString txt);
		void setValue(QString val);

	protected:
		void changeEvent(QEvent *e);

	private:
		Ui::GameIntOption *m_ui;

	private slots:
		void emitOptionChanged();
};

#endif // GAMEINTOPTION_H
