#ifndef GAMEOPTION_H
#define GAMEOPTION_H

#include <QWidget>

class GameOption : public QWidget {
	Q_OBJECT

	public:
		GameOption(QString cmd, QString txt, QWidget* parent = 0);
		QString getCommand();
		virtual void setValue(QString value);
		virtual void setText(QString txt);

	protected:
		QString command;
		QString text;

	signals:
		void optionChanged(QString cmd);
};

#endif // GAMEOPTION_H
