#ifndef MONOPDSTREET_H
#define MONOPDSTREET_H

#include <QString>
#include <QColor>
#include "src/Monopd/monopdestate.h"

class MonopdStreet : public MonopdEstate {
	public:
		MonopdStreet(int i, QString n, int p, int mv, int umv, QColor col, int hp, int shp);
		QColor getColor();
		int getHousePrice();
		int getSellHousePrice();
		int getHouses();
		bool getCanBuyHouse();
		bool getCanSellHouse();
		void setColor(QColor col);
		void setHousePrice(int hp);
		void setSellHousePrice(int shp);
		void setHouses(int h);
		void setCanBuyHouse(bool cbh);
		void setCanSellHouse(bool csh);

	protected:
		QColor color;
		int housePrice;
		int sellHousePrice;
		int houses;
		bool canBuyHouse;
		bool canSellHouse;
};

#endif // MONOPDSTREET_H
